/***************************************************************************
 *   Copyright (C) 2010 by Manuel Schrape                                  *
 *   manuel.schrape@gmx.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License.        *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "wgt_Index.h"

wgt_Index::wgt_Index(QWidget *parent) : QWidget(parent)
{
    setupUi(this);

    connect(cb_Box, SIGNAL(clicked()), this, SLOT(slot_Clicked()));
}

void wgt_Index::set_Name(QString s_Name)
{
    lb_Name->setText(s_Name);
}

void wgt_Index::set_StyleSheet(QString s_StyleSheet)
{
    lb_Name->setStyleSheet(s_StyleSheet);
    lb_Wert->setStyleSheet(s_StyleSheet);
//    cb_Box->setStyleSheet("");
}

void wgt_Index::set_Checked(bool b_Check)
{
    cb_Box->setChecked(b_Check);
}

void wgt_Index::set_Wert(QString s_Wert)
{
    lb_Wert->setText(s_Wert);
}

bool wgt_Index::get_Checked()
{
    return cb_Box->isChecked();
}

void wgt_Index::slot_Clicked()
{
    emit(sig_Clicked());
}
